FileSystemOperations (Gradle API 7.6.4)

Package org.gradle.api.file

## Interface FileSystemOperations

-     public interface FileSystemOperations

  Operations on the file system.

  An instance of this type can be injected into a task, plugin or other object by annotating a public constructor or property getter method with `javax.inject.Inject`.

  Since:
    6.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WorkResult` | `copy​(Action<? super CopySpec> action)` | Copies the specified files.
    `WorkResult` | `delete​(Action<? super DeleteSpec> action)` | Deletes the specified files.
    `WorkResult` | `sync​(Action<? super CopySpec> action)` | Synchronizes the contents of a destination directory with some source directories and files.

- - ### Method Detail

    - #### copy

          WorkResult copy​(Action<? super CopySpec> action)

      Copies the specified files. The given action is used to configure a `CopySpec`, which is then used to copy the files.
      Parameters:
        `action` - Action to configure the CopySpec
      Returns:
        `WorkResult` that can be used to check if the copy did any work.

    - #### sync

          WorkResult sync​(Action<? super CopySpec> action)

      Synchronizes the contents of a destination directory with some source directories and files. The given action is used to configure a `CopySpec`, which is then used to synchronize the files.
      Parameters:
        `action` - action Action to configure the CopySpec.
      Returns:
        `WorkResult` that can be used to check if the sync did any work.

    - #### delete

          WorkResult delete​(Action<? super DeleteSpec> action)

      Deletes the specified files. The given action is used to configure a `DeleteSpec`, which is then used to delete the files.
      Parameters:
        `action` - Action to configure the DeleteSpec
      Returns:
        `WorkResult` that can be used to check if delete did any work.